Package Details: gitstats-git r294.55c5c28-2

Git Clone URL: https://aur.archlinux.org/gitstats-git.git (read-only, click to copy)
Package Base: gitstats-git
Description: Statistics generator for git repositories.
Upstream URL: https://github.com/hoxu/gitstats
Licenses: GPL, GPL3
Submitter: the_isz
Maintainer: l-koehler
Last Packager: lmartinez-mirror
Votes: 70
Popularity: 0.004127
First Submitted: 2010-03-06 20:42 (UTC)
Last Updated: 2023-01-17 00:42 (UTC)

Dependencies (4)

Required by (0)

Sources (1)

Latest Comments

1 2 Next › Last »

hcartiaux commented on 2015-10-16 19:31 (UTC)

I can adopt this package, don't hesitate to ask if you want to be a co-maintainer.

the_isz commented on 2015-10-16 17:47 (UTC)

Done. Thanks, firun. I hope everything worked since I got the following warning on submit: "remote: warning: .SRCINFO unchanged. The package database will not be updated!" I will disown the package now hoping someone actually using it will take over maintenance :)

firun commented on 2015-10-15 13:38 (UTC)

Since the latest upstream commit ( https://github.com/hoxu/gitstats/commit/e35fea2b9a316e7555be70372efd43f7fb94b07c ), the line "sed -i -e '1s/$/2/' "$pkgdir/usr/bin/gitstats"" should be removed from the PKGBUILD. It produces "#!/usr/bin/env python22" as first line of the /usr/bin/gitstats file, which prevents gitstats from starting.

the_isz commented on 2015-09-26 08:17 (UTC)

@spider-mario Thanks, I integrated all your suggestions. Would you be interested in maintaining the package? I'm not using gitstats anymore :) @antony: The PKGBUILD uses the 'make install' routine provided by the gitstats author. I think he or she would be a better person to integrate the man page installation. That is unless I overlooked an existing option which would install the man page already. Kind regards

spider-mario commented on 2015-07-16 11:51 (UTC)

Also, `|| return 1` is not necessary anymore.

spider-mario commented on 2015-07-16 09:41 (UTC)

Would it please be possible to migrate away from $startdir? (PKGBUILD(5): “Use of this variable is deprecated and strongly discouraged.”) There is no reason to go specifically to the bare clone for pkgver(). (If you really want to, $SRCDEST might be a better fit, cf. makepkg.conf(5).) Also: - if git is in depends, it doesn’t need to be in makedepends as well - fetching via https will work even if a proxy blocks the port used by the git protocol (it is the case for me) Here is a patch that does all of this, feel free to apply or reject it: http://paste.awesom.eu/VjM3

anntzer commented on 2015-04-23 22:34 (UTC)

Please include the man page too.

the_isz commented on 2013-04-11 19:30 (UTC)

New PKGBUILD version - Conforms to makepkg 4.1.0 requirements (specifically VCS requirements) - Generates pkgver from repository - Uses github.com instead of repo.or.cz - Uses arch=("any")

egore911 commented on 2013-02-15 08:48 (UTC)

The provided PKGBUILD works fine. I just had to replace the _gitroot to use http://repo.or.cz/r/gitstats.git so it works behind a proxy.

matthiaskrgr commented on 2011-10-14 21:42 (UTC)

Hmm, indeed, looks like it works fine now. Not sure what was the cause, however, since I was able to report the problem here, I think it wasn't a problem with my connection. ;)